<?php
session_start();
$baseDir = $_SERVER['DOCUMENT_ROOT'] . '/car-logo'; // Path to store logos

if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}

$slug = $_GET['slug'] ?? null;
if (!$slug || !is_dir($baseDir . '/' . $slug)) {
    echo "Post not found.";
    exit;
}

// Handle post update
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $postTitle = $_POST['post_title'];
    $postSlug = strtolower(str_replace(' ', '-', $postTitle)); // Generate slug from title

    $postFile = $baseDir . '/' . $slug . '/index.php';
    $postContent = generateSinglePageContent($postTitle, $postSlug);
    
    file_put_contents($postFile, $postContent);

    echo "<p>Post '$postTitle' updated successfully!</p>";
}

function generateSinglePageContent($title, $slug) {
    ob_start();
    ?>
    <?php include $_SERVER['DOCUMENT_ROOT'] . '/admin/header.php'; ?>

    <div class="container">
        <h1><?php echo htmlspecialchars($title); ?> Logo</h1>
        <p>Summary and content for <?php echo htmlspecialchars($title); ?>...</p>
    </div>

    <?php include $_SERVER['DOCUMENT_ROOT'] . '/admin/footer.php'; ?>
    <?php
    return ob_get_clean();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Edit Post</title>
</head>
<body>

<?php include $_SERVER['DOCUMENT_ROOT'] . '/admin/header.php'; ?>

<div class="container">
    <h1>Edit Post</h1>

    <form method="POST" action="">
        <label for="post_title">Post Title:</label>
        <input type="text" name="post_title" id="post_title" required value="<?php echo htmlspecialchars($slug, ENT_QUOTES, 'UTF-8'); ?>">
        <button type="submit">Update Post</button>
    </form>
</div>

<?php include $_SERVER['DOCUMENT_ROOT'] . '/admin/footer.php'; ?>

</body>
</html>
