<?php
// Include header (public-facing header)
include $_SERVER['DOCUMENT_ROOT'] . '/header.php';
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="keywords" content="Nikola Logo, Electric Cars, Nikola Motor, Car Brands">
    <meta name="description" content="Explore the evolution of the Nikola logo from 2014 to the latest 2024 version. Learn about the design history and features of the Nikola Motor logo.">
    <meta name="author" content="Nikola Motor">
    <title>Nikola Logo - Car Brands Logos</title>
    <link rel="stylesheet" href="/style.css"> <!-- Link to public-facing CSS -->
    <link rel="icon" href="/favicon.ico" type="image/x-icon">
</head>
<body>

<div class="container">
    <!-- Main content area -->
    <div class="content-area">
        <h1 class="page-title">Nikola Logo</h1>

        <!-- Company Overview Section -->
        <section class="company-overview">
            <h2 class="section-title">Company Overview</h2>
            <p>Nikola Corporation is an American electric vehicle manufacturer focused on providing sustainable transportation solutions. The company is known for its innovation in the electric truck market and aims to revolutionize the future of the automotive industry with eco-friendly vehicles and cutting-edge technology.</p>
        </section>

        <!-- Logo Details Section -->
        <div class="logo-details">
            <h2 class="section-title">Logo Details</h2>
            <div class="details-container">
                <div class="designer-details">
                    <h3 class="sub-title">Designer Details</h3>
                    <p>The Nikola logo was designed by the Nikola in-house design team. The logo features a bold modern look to represent the company's focus on innovation in the automotive industry.</p>
                </div>

                <div class="color-swatches">
                    <h3 class="sub-title">Logo Colors</h3>
                    <div class="colors">
                        <span class="color-swatch" style="background-color: #d9534f;" title="Red" onclick="copyColor('#d9534f')"></span>
                        <span class="color-swatch" style="background-color: #000000;" title="Black" onclick="copyColor('#000000')"></span>
                        <span class="color-swatch" style="background-color: #ffffff;" title="White" onclick="copyColor('#ffffff')"></span>
                    </div>
                </div>
            </div>
        </div>

        <!-- Logo Evolution Timeline -->
        <div class="logo-evolution">
            <h2 class="section-title">Logo Evolution</h2>
            <div class="tabs">
                <ul class="tab-titles">
                    <li><a href="#tab-2023" class="tab" data-tab="2023">2023</a></li>
                    <li><a href="#tab-2021" class="tab" data-tab="2021">2021</a></li>
                    <li><a href="#tab-2014" class="tab" data-tab="2014">2014</a></li>
                    <li><a href="#tab-1998" class="tab" data-tab="1998">1998</a></li>
                </ul>

                <!-- Content for each tab -->
                <div id="tab-2023" class="tab-content active">
                    <div class="tab-description">
                        <h3>2023 - Latest Logo</h3>
                        <p>The 2023 logo represents Nikola’s modern, innovative approach, with sleek lines and a futuristic design.</p>
                    </div>
                    <div class="tab-logo">
                        <img src="https://carbrandslogos.com/wp-content/uploads/2024/08/2014-Nikola-Logo-SVG-Vector.svg" alt="2023 Nikola Logo" class="logo-img">
                        <div class="download-links">
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2014-Nikola-Logo-SVG-Vector.svg" download>Download SVG</a>
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2014-Nikola-Logo-PNG-Vector.png" download>Download PNG</a>
                        </div>
                    </div>
                </div>

                <div id="tab-2021" class="tab-content">
                    <div class="tab-description">
                        <h3>2021 - Elemental Logo</h3>
                        <p>The 2021 logo marked a shift in the brand’s identity, showcasing a minimalist design with bold, geometric shapes.</p>
                    </div>
                    <div class="tab-logo">
                        <img src="https://carbrandslogos.com/wp-content/uploads/2024/08/2012-Elemental-Logo-PNG-Vector.png" alt="2021 Elemental Nikola Logo" class="logo-img">
                        <div class="download-links">
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2012-Elemental-Logo-PNG-Vector.png" download>Download PNG</a>
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2012-Elemental-Logo-SVG-Vector.svg" download>Download SVG</a>
                        </div>
                    </div>
                </div>

                <div id="tab-2014" class="tab-content">
                    <div class="tab-description">
                        <h3>2014 - First Version</h3>
                        <p>The first Nikola logo featured simple and strong lines, symbolizing the company’s core values of innovation and sustainability.</p>
                    </div>
                    <div class="tab-logo">
                        <img src="https://carbrandslogos.com/wp-content/uploads/2024/08/2014-Nikola-Logo-SVG-Vector.svg" alt="2014 Nikola Logo" class="logo-img">
                        <div class="download-links">
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2014-Nikola-Logo-SVG-Vector.svg" download>Download SVG</a>
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2014-Nikola-Logo-PNG-Vector.png" download>Download PNG</a>
                        </div>
                    </div>
                </div>

                <div id="tab-1998" class="tab-content">
                    <div class="tab-description">
                        <h3>1998 - Early Logo</h3>
                        <p>The 1998 logo represented a more experimental style, reflecting the brand’s early years before it transitioned to its modern form.</p>
                    </div>
                    <div class="tab-logo">
                        <img src="https://carbrandslogos.com/wp-content/uploads/2024/08/2012-Elemental-Logo-PNG-Vector.png" alt="1998 Nikola Logo" class="logo-img">
                        <div class="download-links">
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2012-Elemental-Logo-PNG-Vector.png" download>Download PNG</a>
                            <a href="https://carbrandslogos.com/wp-content/uploads/2024/08/2012-Elemental-Logo-SVG-Vector.svg" download>Download SVG</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Company Details Table -->
        <div class="company-details">
            <h2 class="section-title">Company Details</h2>
            <table>
                <tr>
                    <td><strong>Year Founded:</strong></td>
                    <td>2015</td>
                </tr>
                <tr>
                    <td><strong>Owner:</strong></td>
                    <td>Trevor Milton</td>
                </tr>
                <tr>
                    <td><strong>Headquarters:</strong></td>
                    <td>Phoenix, Arizona, USA</td>
                </tr>
                <tr>
                    <td><strong>Official Website:</strong></td>
                    <td><a href="https://www.nikola.com" target="_blank">www.nikola.com</a></td>
                </tr>
            </table>
        </div>

        <!-- Related Logos Section -->
        <div class="related-logos">
            <h2 class="section-title">Related Logos</h2>
            <ul>
                <li><a href="/car-logo/tesla-logo.php"><img src="/car-logo/tesla-logo.jpg" alt="Tesla Logo" class="related-logo"> Tesla</a></li>
                <li><a href="/car-logo/fisker-logo.php"><img src="/car-logo/fisker-logo.jpg" alt="Fisker Logo" class="related-logo"> Fisker</a></li>
                <li><a href="/car-logo/rivian-logo.php"><img src="/car-logo/rivian-logo.jpg" alt="Rivian Logo" class="related-logo"> Rivian</a></li>
            </ul>
        </div>
    </div>

    <!-- Sidebar (still empty for now) -->
    <div class="sidebar">
        <!-- Sidebar content here -->
    </div>
</div>

<?php include $_SERVER['DOCUMENT_ROOT'] . '/footer.php'; ?>

<!-- JavaScript for tab functionality -->
<script>
    // Handle tab click event
    const tabs = document.querySelectorAll('.tab');
    tabs.forEach(tab => {
        tab.addEventListener('click', function (e) {
            e.preventDefault();

            // Remove active class from all tabs
            tabs.forEach(tab => tab.classList.remove('active'));
            // Add active class to the clicked tab
            this.classList.add('active');

            // Hide all tab content
            const tabContents = document.querySelectorAll('.tab-content');
            tabContents.forEach(content => content.classList.remove('active'));

            // Show clicked tab content
            const target = document.querySelector(`#tab-${this.dataset.tab}`);
            target.classList.add('active');
        });
    });

    // Function to copy color to clipboard
    function copyColor(color) {
        navigator.clipboard.writeText(color).then(() => {
            alert(`Color ${color} copied to clipboard!`);
        });
    }
</script>

</body>
</html>
<style>
    
    /* Container styling */
.container {
    display: flex;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.content-area {
    width: 80%;
    padding-right: 20px;
    margin-left: 5%;
}

.sidebar {
    width: 20%;
    background: #f8f8f8;
    padding: 20px;
    display: none; /* Hide for now */
}

/* Page title */
.page-title {
    font-size: 2.5rem;
    color: #333;
    margin-bottom: 20px;
}

/* Section titles */
.section-title {
    background-color: #d9534f;
    color: white;
    padding: 12px 20px;
    font-size: 1.5rem;
    border-radius: 8px;
    margin-bottom: 20px;
}

/* Tabs */
.tab-titles {
    display: flex;
    justify-content: flex-start;
    margin-bottom: 20px;
    padding-left: 0;
    list-style-type: none;
}

.tab-titles a {
    padding: 12px 20px;
    margin-right: 15px;
    background-color: #fff;
    color: #333;
    border-radius: 5px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
}

.tab-titles .active {
    background-color: #d9534f;
    color: white;
}

.tab-content {
    display: none;
}

.tab-content.active {
    display: block;
}

.tab-logo {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.logo-img {
    width: 150px;
    height: 150px;
    object-fit: contain;
    border-radius: 8px;
}

.download-links a {
    padding: 10px 15px;
    background-color: #d9534f;
    color: white;
    border-radius: 5px;
    text-align: center;
    display: inline-block;
    margin-top: 10px;
}

.download-links a:hover {
    background-color: #c9302c;
}

/* Designer Details & Colors */
.designer-details, .color-swatches {
    background-color: #f0f0f0;
    padding: 15px;
    border-radius: 8px;
    margin-top: 20px;
}

.color-swatch {
    width: 30px;
    height: 30px;
    margin: 5px;
    border-radius: 50%;
    cursor: pointer;
}

/* Company Details */
.company-details table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

.company-details td {
    padding: 10px;
    border: 1px solid #ddd;
}

.company-details td a {
    color: #d9534f;
    font-weight: bold;
}

/* Related Logos */
.related-logos ul {
    list-style: none;
    padding-left: 0;
}

.related-logos li {
    margin-bottom: 10px;
}

.related-logos a {
    display: flex;
    align-items: center;
    color: #d9534f;
    font-weight: bold;
}

.related-logos .related-logo {
    width: 50px;
    height: 50px;
    margin-right: 10px;
    object-fit: cover;
}

/* Responsiveness */
@media (max-width: 768px) {
    .container {
        flex-direction: column;
        align-items: center;
    }

    .content-area {
        width: 100%;
    }

    .sidebar {
        width: 100%;
        margin-top: 20px;
    }
}

</style>