<!DOCTYPE html>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        footer {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            align-items: flex-start;
            background-color: #333;
            color: #fff;
            padding: 50px;
            font-size: 14px;
        }
        .footer-column {
            flex: 1;
            padding: 0 10px;
            margin-bottom: 20px;
        }
        .footer-column h3 {
            margin-top: 0;
            font-size: 16px;
        }
        .footer-logo {
            max-width: 150px;
        }
        .quick-links {
            list-style: none;
            padding: 0;
            margin: 0;
            display: flex;
            flex-direction: column;
            align-items: flex-start; /* Default alignment for desktop */
        }
        .quick-links li {
            margin-bottom: 10px;
        }
        .quick-links a {
            color: #fff;
            text-decoration: none;
        }
        .quick-links a:hover {
            text-decoration: underline;
        }
        @media (max-width: 768px) {
            footer {
                flex-direction: column;
                align-items: center; /* Center align all columns in mobile view */
            }
            .footer-column {
                width: 100%; /* Ensure all columns take full width in mobile view */
                text-align: center; /* Center text alignment for all columns */
            }
            .quick-links {
                align-items: center; /* Center align the quick links items in mobile view */
            }
        }
    </style>
<body>
    <footer>
        <div class="footer-column">
            <h3>About</h3>
            <img src="/assets/logoa2zfooter.svg" alt="VectorSeek" class="footer-logo">
            <p>LogoA2Z is your ultimate directory for high-quality brand logos, featuring an extensive collection of logos from A to Z. We offer logos in HD PNG, SVG, AI, and other file formats, providing precise and clear representations of international brands.</p>
        </div>
        <div class="footer-column">
            <h3>&copy; LogoA2Z All Rights Reserved</h3>
            <p>All logos on this website are the property of their respective owners and are protected by copyright and international laws. These logos are provided solely for informational and educational purposes. You are not permitted to reproduce, publish, modify, create derivative works, or use any of the logos in any way without the explicit written permission of the copyright holder..</p>
        </div>
        <div class="footer-column">
            <h3>Quick Links</h3>
            <ul class="quick-links">
                <li><a href="/about">About</a></li>
                <li><a href="/privacy-policy">Privacy Policy</a></li>
                <li><a href="/contact">Contact Us</a></li>
            </ul>
        </div>
    </footer>
</body>
</html>
