<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="index, follow">
    <link rel="stylesheet" href="https://logoa2z.com/styles.css">
    <link rel="icon" href="/assets/favicon.svg" type="image/png">
    <title><?= isset($seoTitle) ? htmlspecialchars($seoTitle) . ' - (PNG, SVG, Ai Free Download)' : 'LogoA2Z' ?></title>

    <!-- Meta Tags -->
    <meta name="description" content="<?= isset($metaDescription) ? htmlspecialchars($metaDescription) : 'Default Description' ?>">
    <meta name="keywords" content="<?= isset($metaKeywords) ? htmlspecialchars($metaKeywords) : 'Default Keywords' ?>">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" defer></script>
    <script>
        function toggleMenu() {
            const mobileMenu = document.getElementById('mobile-menu');
            mobileMenu.style.left = mobileMenu.style.left === '0px' ? '-250px' : '0px';
        }

        $(document).ready(function() {
            $(".nav-menu li").hover(function() {
                $(this).find(".dropdown-content").stop(true, true).slideDown(200);
            }, function() {
                $(this).find(".dropdown-content").stop(true, true).slideUp(200);
            });

            $(".nav-mobile .dropbtn").click(function() {
                $(this).siblings(".dropdown-content-mobile").toggleClass("show");
            });

            $(document).click(function(event) {
                const mobileMenu = $('#mobile-menu');
                const mobileMenuIcon = $('.mobile-menu-icon');

                if (!mobileMenu.is(event.target) && mobileMenu.has(event.target).length === 0 && !mobileMenuIcon.is(event.target) && !mobileMenuIcon.has(event.target).length) {
                    mobileMenu.css('left', '-250px');
                }
            });

            $(".nav-mobile .dropbtn").each(function() {
                $(this).append('<span class="dropdown-arrow">&#9662;</span>');
            });
        });
    </script>
</head>
<body>
    <header>
        <a href="/">
            <img src="/assets/logoa2z.svg" alt="Logo" class="logo">
        </a>
        <ul class="nav-menu">
            <li><a href="/">Home</a></li>
            <li><a href="/logos">All Logos</a></li>
            <li><a href="/numbers">Numbers(0-9)</a></li>
            <li><a href="/about">About</a></li>
            <li><a href="/contact">Contact</a></li>
        </ul>
        <div class="mobile-menu-icon" onclick="toggleMenu()">&#9776;</div>
    </header>

    <!-- Alphabet Navigation Menu (A-Z) -->
    <nav class="alphabet-nav">
        <ul>
            <!-- Hardcoded A-Z Links -->
            <li><a href="/alphabets/a">A</a></li>
            <li><a href="/alphabets/b">B</a></li>
            <li><a href="/alphabets/c">C</a></li>
            <li><a href="/alphabets/d">D</a></li>
            <li><a href="/alphabets/e">E</a></li>
            <li><a href="/alphabets/f">F</a></li>
            <li><a href="/alphabets/g">G</a></li>
            <li><a href="/alphabets/h">H</a></li>
            <li><a href="/alphabets/i">I</a></li>
            <li><a href="/alphabets/j">J</a></li>
            <li><a href="/alphabets/k">K</a></li>
            <li><a href="/alphabets/l">L</a></li>
            <li><a href="/alphabets/m">M</a></li>
            <li><a href="/alphabets/n">N</a></li>
            <li><a href="/alphabets/o">O</a></li>
            <li><a href="/alphabets/p">P</a></li>
            <li><a href="/alphabets/q">Q</a></li>
            <li><a href="/alphabets/r">R</a></li>
            <li><a href="/alphabets/s">S</a></li>
            <li><a href="/alphabets/t">T</a></li>
            <li><a href="/alphabets/u">U</a></li>
            <li><a href="/alphabets/v">V</a></li>
            <li><a href="/alphabets/w">W</a></li>
            <li><a href="/alphabets/x">X</a></li>
            <li><a href="/alphabets/y">Y</a></li>
            <li><a href="/alphabets/z">Z</a></li>
        </ul>
    </nav>

    <!-- Mobile Navigation -->
    <nav class="nav-mobile" id="mobile-menu">
        <div style="padding: 15px;">
            <img src="/assets/logoa2z.svg" alt="Logo" style="width: 100%; max-width: 150px; margin-bottom: 15px;">
            <span class="close-menu" onclick="toggleMenu()" style="position: absolute; right: 15px; top: 15px; cursor: pointer; font-size: 30px; color: white;">&times;</span>
        </div>
        <ul>
            <li><a href="/">Home</a></li>
            <li><a href="/logos">All Logos</a></li>
             <li><a href="/numbers">Numbers(0-9)</a></li>
            <li><a href="/about">About</a></li>
            <li><a href="/contact">Contact</a></li>
        </ul>
    </nav>

  <!-- Search Bar Container -->
<div class="search-bar-container">
    <form id="searchForm" action="/search.php" method="get" class="search-form" onsubmit="return handleSearch();">
        <input type="text" id="searchInput" name="query" placeholder="Search for logos..." class="search-bar" autocomplete="off">
        <button type="submit" class="search-button">
            <img src="/assets/search.png" alt="Search" class="search-icon">
        </button>
    </form>
    <div id="dropdownResults" class="dropdown"></div>
</div>

<script>
    // JavaScript for Live Search
    const searchInput = document.getElementById('searchInput');
    const dropdown = document.getElementById('dropdownResults');

    // Event listener for input field to trigger live search
    searchInput.addEventListener('input', function() {
        const query = this.value.trim();

        // Trigger live search after the first character
        if (query.length > 0) {
            fetch(`/search.php?query=${encodeURIComponent(query)}&ajax=true`)  // Ensure the full URL is used
                .then(response => response.json())
                .then(data => {
                    dropdown.innerHTML = '';  // Clear previous results

                    if (data.length) {
                        dropdown.classList.add('show');
                        data.forEach(item => {
                            const div = document.createElement('div');
                            div.classList.add('dropdown-item');
                            div.onclick = () => {
                                searchInput.value = item.name;
                                dropdown.classList.remove('show');
                                window.location.href = `/logos/${item.name.toLowerCase().replace(/ /g, '-')}`;
                            };

                            const img = document.createElement('img');
                            img.src = item.logo;
                            img.alt = `${item.name} Logo`;
                            img.className = 'thumbnail';

                            const text = document.createTextNode(item.name);
                            div.appendChild(img);
                            div.appendChild(text);
                            dropdown.appendChild(div);
                        });
                    } else {
                        dropdown.innerHTML = '<div>No results found</div>';
                        dropdown.classList.add('show');
                    }
                })
                .catch(error => {
                    console.error('Error fetching data:', error);
                    dropdown.innerHTML = '<div>Error fetching results</div>';
                    dropdown.classList.add('show');
                });
        } else {
            dropdown.classList.remove('show'); // Hide dropdown if input is cleared
        }
    });

    // Form validation before submitting the search
    function handleSearch() {
        const query = searchInput.value;
        if (query.length === 0) {
            alert("Please enter a search term.");
            return false;  // Prevent form submission if no query
        }
        return true;  // Allow form submission if query exists
    }

    // Close dropdown if the user clicks outside the search bar
    document.addEventListener('click', function(event) {
        if (!document.querySelector('.search-bar-container').contains(event.target)) {
            dropdown.classList.remove('show');
        }
    });
</script>

</body>
</html>
