<?php
// Set SEO title, meta description, and meta keywords
$seoTitle = 'LogoA2Z';
$metaDescription = 'Logoa2z is your go-to source for exceptional brand logos. Discover a variety of high-quality designs available in PNG, SVG, and AI formats.';
$metaKeywords = 'Brands Logos, logo png, Download Logos, transparent logo, logo vector, vector logos, free downloads vectors,';

// Sanitize output to prevent XSS attacks
$seoTitle = htmlspecialchars($seoTitle, ENT_QUOTES, 'UTF-8');
$metaDescription = htmlspecialchars($metaDescription, ENT_QUOTES, 'UTF-8');
$metaKeywords = htmlspecialchars($metaKeywords, ENT_QUOTES, 'UTF-8');

include 'header.php'; // Include header.php from the main directory
?>

<link rel="stylesheet" href="/styles.css"> <!-- Assuming styles.css is in the main directory -->
<meta name="robots" content="index, follow">
<div class="container">
    <!-- Centered Container -->
    <div class="centered-container">
        <!-- Main Title -->
        <h1><?php echo $seoTitle; ?></h1>

        <!-- Tagline -->
        <p class="tagline">Which Logo are you Looking For?</p>

        <!-- Posts Grid -->
        <div class="recent-posts">
            <div class="recent-posts-container">
                <?php
                $baseDir = __DIR__ . '/logos'; // Adjust the server path
                $webBaseUrl = '/logos'; // Web-accessible URL
                $folders = array_filter(glob($baseDir . '/*'), 'is_dir'); // Get all folders

                // Limit the number of displayed folders to 30
                $recentFolders = array_slice($folders, 0, 30);

                // Iterate through each folder
                foreach ($recentFolders as $folder) {
                    $brand_name = basename($folder); // Get folder name as brand name
                    $pngFiles = glob($folder . '/*.png'); // Get all PNG files in the folder

                    // Display the first PNG file found as the logo
                    if (!empty($pngFiles)) {
                        $thumbnail_url = $webBaseUrl . '/' . $brand_name . '/' . basename($pngFiles[0]); // Build the web URL
                        $post_slug = strtolower(trim(str_replace(' ', '-', $brand_name))); // Create slug for the post link
                        $post_link = "/logos/$post_slug/"; // Ensure the slug includes /logos/

                        echo '<div class="recent-post">';
                        echo '<a href="' . $post_link . '">';
                        echo '<img src="' . htmlspecialchars($thumbnail_url, ENT_QUOTES, 'UTF-8') . '" alt="' . htmlspecialchars($brand_name, ENT_QUOTES, 'UTF-8') . ' Logo" class="recent-post-thumbnail">';
                        echo '<p>' . htmlspecialchars($brand_name, ENT_QUOTES, 'UTF-8') . '</p>';
                        echo '</a>';
                        echo '</div>';
                    }
                }
                ?>
            </div>
        </div>
    </div>
</div>

<?php include 'footer.php'; // Include footer.php from the main directory ?>
